//                                                                               
//    This script modifies a font file which was generated with a tool by        
//    MikroElektronika - GLD Font Creator.                                       
//                                                                               
//    That tool creates the font data set for an embedded system from a Windows  
//    True Type font. The user is encouraged to ensure that the font used is     
//    properly licenses, or drawn from a source that does not have a license     
//    restriction.                                                               
//                                                                               
//    This script will read and then modify the file for a few specific purposes:
//      * <space>   character is redefined to set the width to 1/4 the height.   
//      * '0' - '9' characters are redefined to set the width equal to width('0')
//                  or to the user override value.                               
//                                                                               
//    And just because it can, it then improves upon the documentation in the    
//    resulting data structure.                                                  
//                                                                               
//    This script was created by Smartware Computing, and is provided 'as is'    
//    with no warranty or suitability of fitness for any purpose. Anyone may use 
//    or modify it subject to the agreement that:                                
//      * The Smartware copyright statement remains intact.                      
//      * Modifications for derivative use are clearly stated in this header.    
//                                                                               
//    Modifications from the original:                                           
//      * none.                                                                  
//                                                                               
// Script Activation:
//   ParseMikroeFont BPG_Arial08x08.h New_BPG_Arial08x08.h

//Font Generated by MikroElektronika GLCD Font Creator 1.2.0.0
//MikroElektrnika 2011 
//http://www.mikroe.com 

//GLCD FontName : BPG_Arial8x8
//GLCD FontSize : 8 x 8

const unsigned char BPG_Arial08x08[] = {
    // Font Info
    0x00,                   // Unknown #1
    0x00,                   // Unknown #2
    0x20,0x00,              // FirstChar
    0x7F,0x00,              // LastChar
    0x08,                   // FontHeight
    0x00,                   // Unknown #3
    // Directory of Chars  [Width] [Offset-L] [Offset-M] [Offset-H]
    0x02,0x88,0x01,0x00,    // 0x20 ' ' 
    0x02,0x90,0x01,0x00,    // 0x21 '!' 
    0x04,0x98,0x01,0x00,    // 0x22 '"' 
    0x06,0xA0,0x01,0x00,    // 0x23 '#' 
    0x06,0xA8,0x01,0x00,    // 0x24 '$' 
    0x07,0xB0,0x01,0x00,    // 0x25 '%' 
    0x06,0xB8,0x01,0x00,    // 0x26 '&' 
    0x02,0xC0,0x01,0x00,    // 0x27 ''' 
    0x03,0xC8,0x01,0x00,    // 0x28 '(' 
    0x03,0xD0,0x01,0x00,    // 0x29 ')' 
    0x06,0xD8,0x01,0x00,    // 0x2A '*' 
    0x06,0xE0,0x01,0x00,    // 0x2B '+' 
    0x03,0xE8,0x01,0x00,    // 0x2C ',' 
    0x04,0xF0,0x01,0x00,    // 0x2D '-' 
    0x02,0xF8,0x01,0x00,    // 0x2E '.' 
    0x04,0x00,0x02,0x00,    // 0x2F '/' 
    0x06,0x08,0x02,0x00,    // 0x30 '0' 
    0x06,0x10,0x02,0x00,    // 0x31 '1' 
    0x06,0x18,0x02,0x00,    // 0x32 '2' 
    0x06,0x20,0x02,0x00,    // 0x33 '3' 
    0x06,0x28,0x02,0x00,    // 0x34 '4' 
    0x06,0x30,0x02,0x00,    // 0x35 '5' 
    0x06,0x38,0x02,0x00,    // 0x36 '6' 
    0x06,0x40,0x02,0x00,    // 0x37 '7' 
    0x06,0x48,0x02,0x00,    // 0x38 '8' 
    0x06,0x50,0x02,0x00,    // 0x39 '9' 
    0x02,0x58,0x02,0x00,    // 0x3A ':' 
    0x03,0x60,0x02,0x00,    // 0x3B ';' 
    0x06,0x68,0x02,0x00,    // 0x3C '<' 
    0x06,0x70,0x02,0x00,    // 0x3D '=' 
    0x06,0x78,0x02,0x00,    // 0x3E '>' 
    0x06,0x80,0x02,0x00,    // 0x3F '?' 
    0x07,0x88,0x02,0x00,    // 0x40 '@' 
    0x06,0x90,0x02,0x00,    // 0x41 'A' 
    0x06,0x98,0x02,0x00,    // 0x42 'B' 
    0x06,0xA0,0x02,0x00,    // 0x43 'C' 
    0x06,0xA8,0x02,0x00,    // 0x44 'D' 
    0x06,0xB0,0x02,0x00,    // 0x45 'E' 
    0x05,0xB8,0x02,0x00,    // 0x46 'F' 
    0x06,0xC0,0x02,0x00,    // 0x47 'G' 
    0x06,0xC8,0x02,0x00,    // 0x48 'H' 
    0x02,0xD0,0x02,0x00,    // 0x49 'I' 
    0x05,0xD8,0x02,0x00,    // 0x4A 'J' 
    0x06,0xE0,0x02,0x00,    // 0x4B 'K' 
    0x06,0xE8,0x02,0x00,    // 0x4C 'L' 
    0x06,0xF0,0x02,0x00,    // 0x4D 'M' 
    0x06,0xF8,0x02,0x00,    // 0x4E 'N' 
    0x06,0x00,0x03,0x00,    // 0x4F 'O' 
    0x06,0x08,0x03,0x00,    // 0x50 'P' 
    0x06,0x10,0x03,0x00,    // 0x51 'Q' 
    0x06,0x18,0x03,0x00,    // 0x52 'R' 
    0x06,0x20,0x03,0x00,    // 0x53 'S' 
    0x06,0x28,0x03,0x00,    // 0x54 'T' 
    0x06,0x30,0x03,0x00,    // 0x55 'U' 
    0x06,0x38,0x03,0x00,    // 0x56 'V' 
    0x05,0x40,0x03,0x00,    // 0x57 'W' 
    0x06,0x48,0x03,0x00,    // 0x58 'X' 
    0x06,0x50,0x03,0x00,    // 0x59 'Y' 
    0x06,0x58,0x03,0x00,    // 0x5A 'Z' 
    0x03,0x60,0x03,0x00,    // 0x5B '[' 
    0x04,0x68,0x03,0x00,    // 0x5C '\\' 
    0x03,0x70,0x03,0x00,    // 0x5D ']' 
    0x05,0x78,0x03,0x00,    // 0x5E '^' 
    0x06,0x80,0x03,0x00,    // 0x5F '_' 
    0x03,0x88,0x03,0x00,    // 0x60 '`' 
    0x05,0x90,0x03,0x00,    // 0x61 'a' 
    0x05,0x98,0x03,0x00,    // 0x62 'b' 
    0x06,0xA0,0x03,0x00,    // 0x63 'c' 
    0x06,0xA8,0x03,0x00,    // 0x64 'd' 
    0x06,0xB0,0x03,0x00,    // 0x65 'e' 
    0x04,0xB8,0x03,0x00,    // 0x66 'f' 
    0x06,0xC0,0x03,0x00,    // 0x67 'g' 
    0x05,0xC8,0x03,0x00,    // 0x68 'h' 
    0x02,0xD0,0x03,0x00,    // 0x69 'i' 
    0x03,0xD8,0x03,0x00,    // 0x6A 'j' 
    0x05,0xE0,0x03,0x00,    // 0x6B 'k' 
    0x02,0xE8,0x03,0x00,    // 0x6C 'l' 
    0x06,0xF0,0x03,0x00,    // 0x6D 'm' 
    0x05,0xF8,0x03,0x00,    // 0x6E 'n' 
    0x06,0x00,0x04,0x00,    // 0x6F 'o' 
    0x06,0x08,0x04,0x00,    // 0x70 'p' 
    0x06,0x10,0x04,0x00,    // 0x71 'q' 
    0x04,0x18,0x04,0x00,    // 0x72 'r' 
    0x06,0x20,0x04,0x00,    // 0x73 's' 
    0x04,0x28,0x04,0x00,    // 0x74 't' 
    0x05,0x30,0x04,0x00,    // 0x75 'u' 
    0x06,0x38,0x04,0x00,    // 0x76 'v' 
    0x08,0x40,0x04,0x00,    // 0x77 'w' 
    0x06,0x48,0x04,0x00,    // 0x78 'x' 
    0x05,0x50,0x04,0x00,    // 0x79 'y' 
    0x05,0x58,0x04,0x00,    // 0x7A 'z' 
    0x04,0x60,0x04,0x00,    // 0x7B '{' 
    0x02,0x68,0x04,0x00,    // 0x7C '|' 
    0x04,0x70,0x04,0x00,    // 0x7D '}' 
    0x07,0x78,0x04,0x00,    // 0x7E '~' 
    0x04,0x80,0x04,0x00,    // 0x7F '<non-printable>' 
    // Chars Bitstream
    0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,  // 0x20 ' '
    0x02,0x02,0x02,0x02,0x02,0x00,0x02,0x00,  // 0x21 '!'
    0x0A,0x0A,0x00,0x00,0x00,0x00,0x00,0x00,  // 0x22 '"'
    0x04,0x14,0x3F,0x12,0x12,0x3F,0x0A,0x08,  // 0x23 '#'
    0x08,0x1C,0x2A,0x0A,0x1C,0x28,0x2A,0x1C,  // 0x24 '$'
    0x44,0x2A,0x14,0x28,0x54,0x22,0x00,0x00,  // 0x25 '%'
    0x0C,0x12,0x12,0x0C,0x0A,0x12,0x2C,0x00,  // 0x26 '&'
    0x02,0x02,0x00,0x00,0x00,0x00,0x00,0x00,  // 0x27 '''
    0x04,0x02,0x02,0x02,0x02,0x02,0x04,0x00,  // 0x28 '('
    0x02,0x04,0x04,0x04,0x04,0x04,0x02,0x00,  // 0x29 ')'
    0x00,0x2A,0x1C,0x3E,0x1C,0x2A,0x00,0x00,  // 0x2A '*'
    0x00,0x08,0x08,0x3E,0x08,0x08,0x00,0x00,  // 0x2B '+'
    0x00,0x00,0x00,0x00,0x00,0x04,0x02,0x00,  // 0x2C ','
    0x00,0x00,0x00,0x0E,0x00,0x00,0x00,0x00,  // 0x2D '-'
    0x00,0x00,0x00,0x00,0x00,0x02,0x00,0x00,  // 0x2E '.'
    0x08,0x08,0x04,0x04,0x04,0x02,0x02,0x00,  // 0x2F '/'
    0x1C,0x32,0x2A,0x2A,0x2A,0x26,0x1C,0x00,  // 0x30 '0'
    0x04,0x06,0x04,0x04,0x04,0x04,0x04,0x00,  // 0x31 '1'
    0x1C,0x22,0x20,0x18,0x04,0x02,0x3E,0x00,  // 0x32 '2'
    0x1C,0x22,0x20,0x1C,0x20,0x22,0x1C,0x00,  // 0x33 '3'
    0x10,0x18,0x14,0x14,0x3E,0x10,0x10,0x00,  // 0x34 '4'
    0x3E,0x02,0x02,0x1E,0x20,0x20,0x1E,0x00,  // 0x35 '5'
    0x1C,0x22,0x02,0x1E,0x22,0x22,0x1C,0x00,  // 0x36 '6'
    0x3E,0x10,0x08,0x08,0x04,0x04,0x04,0x00,  // 0x37 '7'
    0x1C,0x22,0x22,0x1C,0x22,0x22,0x1C,0x00,  // 0x38 '8'
    0x1C,0x22,0x22,0x3C,0x20,0x22,0x1C,0x00,  // 0x39 '9'
    0x00,0x00,0x02,0x00,0x00,0x02,0x00,0x00,  // 0x3A ':'
    0x00,0x00,0x04,0x00,0x00,0x04,0x02,0x00,  // 0x3B ';'
    0x00,0x30,0x08,0x06,0x06,0x08,0x30,0x00,  // 0x3C '<'
    0x00,0x00,0x3E,0x00,0x00,0x3E,0x00,0x00,  // 0x3D '='
    0x00,0x06,0x08,0x30,0x30,0x08,0x06,0x00,  // 0x3E '>'
    0x1C,0x22,0x20,0x18,0x08,0x00,0x08,0x00,  // 0x3F '?'
    0x38,0x44,0x52,0x6A,0x12,0x44,0x38,0x00,  // 0x40 '@'
    0x08,0x14,0x22,0x22,0x3E,0x22,0x22,0x00,  // 0x41 'A'
    0x1E,0x22,0x22,0x1E,0x22,0x22,0x1E,0x00,  // 0x42 'B'
    0x1C,0x22,0x02,0x02,0x02,0x22,0x1C,0x00,  // 0x43 'C'
    0x1E,0x22,0x22,0x22,0x22,0x22,0x1E,0x00,  // 0x44 'D'
    0x3E,0x02,0x02,0x1E,0x02,0x02,0x3E,0x00,  // 0x45 'E'
    0x1E,0x02,0x02,0x1E,0x02,0x02,0x02,0x00,  // 0x46 'F'
    0x1C,0x22,0x02,0x3A,0x22,0x22,0x1C,0x00,  // 0x47 'G'
    0x22,0x22,0x22,0x3E,0x22,0x22,0x22,0x00,  // 0x48 'H'
    0x02,0x02,0x02,0x02,0x02,0x02,0x02,0x00,  // 0x49 'I'
    0x10,0x10,0x10,0x10,0x10,0x12,0x0C,0x00,  // 0x4A 'J'
    0x22,0x22,0x12,0x0E,0x0E,0x12,0x22,0x00,  // 0x4B 'K'
    0x02,0x02,0x02,0x02,0x02,0x02,0x3E,0x00,  // 0x4C 'L'
    0x36,0x36,0x36,0x2A,0x2A,0x2A,0x22,0x00,  // 0x4D 'M'
    0x22,0x26,0x26,0x2A,0x3A,0x32,0x22,0x00,  // 0x4E 'N'
    0x1C,0x22,0x22,0x22,0x22,0x22,0x1C,0x00,  // 0x4F 'O'
    0x1E,0x22,0x22,0x22,0x1E,0x02,0x02,0x00,  // 0x50 'P'
    0x1C,0x22,0x22,0x22,0x2A,0x12,0x2C,0x00,  // 0x51 'Q'
    0x1E,0x22,0x22,0x22,0x1E,0x12,0x22,0x00,  // 0x52 'R'
    0x1C,0x22,0x02,0x1C,0x20,0x22,0x1C,0x00,  // 0x53 'S'
    0x3E,0x08,0x08,0x08,0x08,0x08,0x08,0x00,  // 0x54 'T'
    0x22,0x22,0x22,0x22,0x22,0x22,0x1C,0x00,  // 0x55 'U'
    0x22,0x22,0x22,0x14,0x14,0x08,0x08,0x00,  // 0x56 'V'
    0x11,0x11,0x11,0x15,0x15,0x1F,0x1B,0x00,  // 0x57 'W'
    0x22,0x22,0x14,0x08,0x1C,0x22,0x22,0x00,  // 0x58 'X'
    0x22,0x22,0x14,0x08,0x08,0x08,0x08,0x00,  // 0x59 'Y'
    0x3E,0x20,0x10,0x08,0x04,0x02,0x3E,0x00,  // 0x5A 'Z'
    0x06,0x02,0x02,0x02,0x02,0x02,0x06,0x00,  // 0x5B '['
    0x02,0x02,0x02,0x04,0x04,0x08,0x08,0x00,  // 0x5C '\\'
    0x06,0x04,0x04,0x04,0x04,0x04,0x06,0x00,  // 0x5D ']'
    0x0C,0x0C,0x12,0x12,0x00,0x00,0x00,0x00,  // 0x5E '^'
    0x00,0x00,0x00,0x00,0x00,0x00,0x3E,0x00,  // 0x5F '_'
    0x02,0x04,0x00,0x00,0x00,0x00,0x00,0x00,  // 0x60 '`'
    0x00,0x0C,0x12,0x10,0x1C,0x12,0x1C,0x00,  // 0x61 'a'
    0x02,0x02,0x02,0x0E,0x12,0x12,0x0E,0x00,  // 0x62 'b'
    0x00,0x1C,0x22,0x02,0x02,0x22,0x1C,0x00,  // 0x63 'c'
    0x20,0x20,0x20,0x3C,0x22,0x22,0x3C,0x00,  // 0x64 'd'
    0x00,0x1C,0x22,0x22,0x1A,0x02,0x3C,0x00,  // 0x65 'e'
    0x0C,0x04,0x04,0x0E,0x04,0x04,0x04,0x00,  // 0x66 'f'
    0x00,0x00,0x3C,0x22,0x22,0x3C,0x20,0x1C,  // 0x67 'g'
    0x02,0x02,0x02,0x02,0x1E,0x12,0x12,0x00,  // 0x68 'h'
    0x02,0x00,0x02,0x02,0x02,0x02,0x02,0x00,  // 0x69 'i'
    0x04,0x00,0x04,0x04,0x04,0x04,0x04,0x02,  // 0x6A 'j'
    0x02,0x02,0x12,0x0A,0x06,0x0A,0x12,0x00,  // 0x6B 'k'
    0x02,0x02,0x02,0x02,0x02,0x02,0x02,0x00,  // 0x6C 'l'
    0x00,0x00,0x16,0x2A,0x2A,0x2A,0x2A,0x00,  // 0x6D 'm'
    0x00,0x00,0x0E,0x12,0x12,0x12,0x12,0x00,  // 0x6E 'n'
    0x00,0x00,0x1C,0x22,0x22,0x22,0x1C,0x00,  // 0x6F 'o'
    0x00,0x00,0x1E,0x22,0x22,0x1E,0x02,0x02,  // 0x70 'p'
    0x00,0x00,0x3C,0x22,0x22,0x3C,0x20,0x20,  // 0x71 'q'
    0x00,0x00,0x0E,0x02,0x02,0x02,0x02,0x00,  // 0x72 'r'
    0x00,0x1C,0x22,0x0C,0x10,0x22,0x1C,0x00,  // 0x73 's'
    0x00,0x04,0x0E,0x04,0x04,0x04,0x0C,0x00,  // 0x74 't'
    0x00,0x00,0x12,0x12,0x12,0x12,0x1E,0x00,  // 0x75 'u'
    0x00,0x00,0x22,0x22,0x14,0x14,0x08,0x00,  // 0x76 'v'
    0x00,0x81,0x99,0x5A,0x5A,0x66,0x24,0x00,  // 0x77 'w'
    0x00,0x00,0x22,0x14,0x08,0x14,0x22,0x00,  // 0x78 'x'
    0x00,0x00,0x12,0x12,0x12,0x1C,0x10,0x0E,  // 0x79 'y'
    0x00,0x00,0x1E,0x10,0x08,0x04,0x1E,0x00,  // 0x7A 'z'
    0x08,0x04,0x04,0x04,0x02,0x04,0x04,0x08,  // 0x7B '{'
    0x02,0x02,0x02,0x02,0x02,0x02,0x02,0x00,  // 0x7C '|'
    0x02,0x04,0x04,0x04,0x08,0x04,0x04,0x02,  // 0x7D '}'
    0x00,0x00,0x00,0x4C,0x32,0x00,0x00,0x00,  // 0x7E '~'
    0x00,0x0E,0x0A,0x0A,0x0A,0x0A,0x0E,0x00  // 0x7F '<non-printable>'
};
